//
//  AMFatFractal.h
//  AMFatFractal
//
//  Created by Andre Muis on 8/25/13.
//  Copyright (c) 2013 Andre Muis. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <FFEF/FatFractal.h>

@class AMRequest;

@interface AMFatFractal : FatFractal

@property (assign, nonatomic, readonly) int queuedRequestsCount;

- (id)initWithBaseSSLURL: (NSString *)baseSSLURL
       retryDelaySeconds: (float)retryDelaySeconds;

- (AMRequest *)amLoginWithUserName: (NSString *)userName
                       andPassword: (NSString *)password
                 completionHandler: (FFHttpMethodCompletion)completionHandler;

- (AMRequest *)amGetObjectFromURI: (NSString *)uri
                completionHandler: (FFHttpMethodCompletion)completionHandler;

- (AMRequest *)amGetArrayFromURI: (NSString *)uri
               completionHandler: (FFHttpMethodCompletion)completionHandler;

- (AMRequest *)amCreateObject: (id)object
                        atURI: (NSString *)uri
            completionHandler: (FFHttpMethodCompletion)completionHandler;

- (AMRequest *)amUpdateObject: (id)object
            completionHandler: (FFHttpMethodCompletion)completionHandler;

- (AMRequest *)amDeleteObject: (id)object
            completionHandler: (FFHttpMethodCompletion)completionHandler;

- (void)amCancelRequest: (AMRequest *)request;

@end
