AMFatFractal
============

Extends the FatFractal iOS framework.

To install add the following to your Podfile:

```
    pod 'AMFatFractal'
```

I've extended a few methods that will retry on failure until you tell them to stop. Please check out the tests for examples on how to use all the extended methods.

Sample usage:

``` Objective-C
NSString *baseSSLURL = @"https://localhost:8443/mazes";
    
AMFatFractal *amFatFractal = [[AMFatFractal alloc] initWithBaseSSLURL: baseSSLURL
                                                    retryDelaySeconds: 5.0];
    
__block AMRequest *request = nil;

request = [amFatFractal amLoginWithUserName: @"system"
                                andPassword: @"password"
                          completionHandler: ^(NSError *theErr, id theObj, NSHTTPURLResponse *theResponse)
{
    NSLog(@"%d", request.retryCount);
}];
```
To cancel a running request:

``` Objective-C
   [self.amFatFractal amCancelRequest: request];
```

Only a small subset has been extended. Feel free to add your own additions.
